variables:
  ROLLOUT_RESOURCE_TYPE: deployment
  POSTGRES_ENABLED: "false"
  GIT_SSL_NO_VERIFY: "true"

stages:
  - build
  - mirror

build:
  stage: build
  variables:
    CURRENT_IMAGE: $CI_REGISTRY_IMAGE/$CI_COMMIT_BRANCH:$CI_COMMIT_SHA
  before_script:
    - docker login -u $CI_REGISTRY_USER -p $CI_REGISTRY_PASSWORD $CI_REGISTRY
  script:
    - docker build --tag $CURRENT_IMAGE .
    - docker push $CURRENT_IMAGE

mirror:
  stage: mirror
  image: "registry.gitlab.com/gitlab-org/cluster-integration/auto-deploy-image:latest"
  script:
    - auto-deploy check_kube_domain
    - auto-deploy download_chart
    - auto-deploy ensure_namespace
    - auto-deploy create_secret
    - auto-deploy deploy
    - auto-deploy persist_environment_url
  environment:
    name: mirror
    url: https://test.$KUBE_INGRESS_BASE_DOMAIN
